Creates a new offer on a transaction for the user specified in the request body. A user-scoped alternative is available at POST /transact-workflow/v1/users/{userId}/Offers.
Body
Required
Payload for creating a new offer on a transaction.
-
GUID of the user creating the offer.
-
GUID of the transaction the offer belongs to.
-
Closing date.
-
Final walkthrough date.
-
Possession date.
-
Date the offer was made.
-
Offer expiration date.
-
Offer acceptance date.
-
Purchase price.
-
Deposit amount.
POST
/transact-workflow/v1/Offers
curl \
--request POST 'https://gateway.lwolf.com/transact-workflow/v1/Offers' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "lw-subscription-key: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"userId":"string","transactionId":"string","closingDate":"2026-05-04T09:42:00Z","finalWalkthroughDate":"2026-05-04T09:42:00Z","possessionDate":"2026-05-04T09:42:00Z","offerDate":"2026-05-04T09:42:00Z","expirationDate":"2026-05-04T09:42:00Z","acceptanceDate":"2026-05-04T09:42:00Z","purchasePrice":650500,"deposit":100000}'
Request examples
{
"userId": "string",
"transactionId": "string",
"closingDate": "2026-05-04T09:42:00Z",
"finalWalkthroughDate": "2026-05-04T09:42:00Z",
"possessionDate": "2026-05-04T09:42:00Z",
"offerDate": "2026-05-04T09:42:00Z",
"expirationDate": "2026-05-04T09:42:00Z",
"acceptanceDate": "2026-05-04T09:42:00Z",
"purchasePrice": 650500,
"deposit": 100000
}
Response examples (400)
{
"error": "string",
"message": "string"
}
Response examples (401)
{
"error": "string",
"message": "string"
}
Response examples (403)
{
"error": "string",
"message": "string"
}
Response examples (404)
{
"error": "string",
"message": "string"
}